=== debian/watch ===
version=3
https://download.gnome.org/sources/glib/([\d\.]+)/ \
	glib-(.*)\.tar\.xz
