=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93),
                dh-autoreconf,
@@ -41,13 +41,12 @@
 Recommends: libglib2.0-data,
             shared-mime-info,
             xdg-user-dirs
-Breaks: gvfs (<< 1.8),
-        glib-networking (<< 2.33.12),
+Breaks: glib-networking (<< 2.33.12),
         python-gi (<< 3.7.2),
         libgnome-desktop-3-2 (<< 3.4.2-2)
-Replaces: libglib2.0-dev (<< 2.23.2-2)
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends},
+             dpkg (>= 1.17.21)
 Description: GLib library of C routines
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
@@ -93,9 +92,6 @@
          ${misc:Depends},
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-data
-Conflicts: libglib2.0-0 (<< 2.25.11-2),
-Replaces: libglib2.0-0 (<< 2.25.11-2),
-          libglib2.0-dev (<< 2.25.11-2)
 Multi-Arch: foreign
 Description: Programs for the GLib library
  GLib is a library containing many useful C routines for things such
@@ -114,7 +110,7 @@
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libpcre3-dev (>= 1:8.31),
-         pkg-config (>= 0.16.0),
+         pkg-config,
          zlib1g-dev
 Suggests: libglib2.0-doc
 Description: Development files for the GLib library
@@ -133,9 +129,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libglib2.0-0 (= ${binary:Version})
-Conflicts: libglib2.0-dbg
 Breaks: libglib2.0-dev (<< 2.43.2-2~)
-Replaces: libglib2.0-dbg, libglib2.0-dev (<< 2.43.2-2~)
+Replaces: libglib2.0-dev (<< 2.43.2-2~)
 Description: Debugging symbols for the GLib libraries
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
