=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93),
                dh-autoreconf,
@@ -13,6 +12,7 @@
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
                libelf-dev (>= 0.142),
+               libmount-dev (>= 2.28) [linux-any],
                libpcre3-dev (>= 1:8.35),
                desktop-file-utils,
                gtk-doc-tools (>= 1.20),
@@ -24,15 +24,15 @@
                dbus-x11,
                shared-mime-info,
                xterm,
-               python:any (>= 2.7.5-5~),
-               python-dbus,
-               python-gi,
+               python3:any (>= 2.7.5-5~),
+               python3-dbus,
+               python3-gi,
                libxml2-utils,
                libffi-dev (>= 3.0.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gtk.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib2.0/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib2.0/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/glib2.0/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/glib2.0/
 
 Package: libglib2.0-0
 Architecture: any
@@ -45,8 +45,7 @@
         python-gi (<< 3.7.2),
         libgnome-desktop-3-2 (<< 3.4.2-2)
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-             dpkg (>= 1.17.21)
+Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
@@ -106,7 +105,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libpcre3-dev (>= 1:8.31),
@@ -175,20 +174,3 @@
 Description: GLib Input, Output and Streaming Library (fam module)
  GIO is the input, output and streaming API of GLib. This package
  provides a fam file and directory monitoring backend for it.
-
-Package: libglib2.0-0-refdbg
-Section: devel
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libglib2.0-0 (= ${binary:Version})
-Multi-Arch: same
-Description: GLib library of C routines - refdbg library
- GLib is a library containing many useful C routines for things such
- as trees, hashes, lists, and strings.  It is a useful general-purpose
- C library used by projects such as GTK+, GIMP, and GNOME.
- .
- This package contains the shared library built with
- --disable-Bsymbolic so that it can be used with refdbg, a GObject
- refcount debugger.
