## glib2.0 2.50.0

=== debian/changelog ===
glib2.0 (2.50.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 18:37:10 +0200
