## glib2.0 2.50.3

=== debian/changelog ===
glib2.0 (2.50.3-2+deb9u2) stretch; urgency=medium

  * Team upload
  * d/p/credentials-Invalid-Linux-struct-ucred-means-no-informati.patch,
    d/p/GDBus-prefer-getsockopt-style-credentials-passing-APIs.patch:
    Ensure libdbus clients can authenticate with a GDBusServer like the
    one in ibus, backported from upstream 2.62.x branch (Closes: #941018)
  * d/control.in: Update Vcs-Git, Vcs-Browser

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2019 08:29:30 +0000

glib2.0 (2.50.3-2+deb9u1) stretch; urgency=medium

  * Team upload
  * d/gbp.conf: Add GNOME team configuration
  * d/p/gfile-Limit-access-to-files-when-copying.patch:
    When copying files, give the temporary partial copy of the file
    suitably restrictive permissions (Closes: #929753; CVE-2019-12450)
  * d/p/keyfile-settings-Use-tighter-permissions.patch:
    Create directory and file with restrictive permissions when using the
    GKeyfileSettingsBackend. Mitigation: in this version of GLib, the
    GKeyfileSettingsBackend can only be used explicitly by code, and is
    never selected automatically. (Closes: #931234; CVE-2019-13012)
  * d/p/gmarkup-Fix-unvalidated-UTF-8-read-in-markup-parsing-erro.patch,
    d/p/gmarkup-Avoid-reading-off-the-end-of-a-buffer-when-non-nu.patch:
    Avoid buffer read overrun when formatting error messages for invalid
    UTF-8 in GMarkup (CVE-2018-16429)
  * d/p/gmarkup-Fix-crash-in-error-handling-path-for-closing-elem.patch:
    Avoid NULL dereference when parsing invalid GMarkup with a malformed
    closing tag not paired with an opening tag (CVE-2018-16429)

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Aug 2019 10:46:20 +0100

glib2.0 (2.50.3-2) unstable; urgency=medium

  * debian/patches/tests-gdatetime-Use-a-real-rather-than-invented-time.patch:
    Cherry-pick a patch from upstream to fix GDateTime tests when tzdata ≥
    2017a is in use. (Closes: #858214)

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Mar 2017 00:21:57 +0100

glib2.0 (2.50.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Feb 2017 19:00:01 +0100

glib2.0 (2.50.2-2) unstable; urgency=medium

  * debian/rules: disable libmount on !linux (Closes: #844052)
  * debian/patches/0001-Fix-trashing-on-overlayfs.patch: Update with new
    version from the upsstream report to hopefully fix trashing of files in
    directories which are symlinks to different devices. (Closes: #800047)

 -- Iain Lane <laney@debian.org>  Wed, 23 Nov 2016 16:33:21 +0000

glib2.0 (2.50.2-1) unstable; urgency=medium

  * New upstream release.
  * Track stable releases in debian/watch.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 00:37:05 +0100

glib2.0 (2.50.1-1) unstable; urgency=medium

  [ Jason Crain ]
  * libglib2.0-bin: includes a new 'gio' commandline tool (Closes: #840164)

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Oct 2016 14:51:05 +0200

glib2.0 (2.50.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Build-depend on tzdata, which is no longer transitively Essential.
    One test needs it. (Closes: #839487)

  [ Michael Biebl ]
  * Fix Vcs-* to point to unstable.
  * Mark dependencies which are required to run the test-suite with
    <!nocheck>.
  * Add explicit Build-Depends on xsltproc, docbook-xml and docbook-xsl.
    Besides libxml2-utils, those are needed for building the man pages.
  * Drop Build-Depends on dbus-x11. The test-suite uses a mock version of
    dbus-launch nowadays, so this dependency is no longer needed.
    (Closes: #835884)
  * Use dh-exec to substitute ${DEB_HOST_MULTIARCH} in .install, .links and
    .dirs files.

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Oct 2016 22:15:22 +0200
