=== debian/control ===
--- 
+++ 
@@ -2,37 +2,41 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 9.20141010),
                cdbs (>= 0.4.93),
                dh-autoreconf,
+               dh-exec,
                pkg-config (>= 0.16.0),
                gettext,
                autotools-dev,
                gnome-pkg-tools (>= 0.11),
-               dpkg-dev (>= 1.16.0),
+               dpkg-dev (>= 1.17.14),
                libelf-dev (>= 0.142),
                libmount-dev (>= 2.28) [linux-any],
                libpcre3-dev (>= 1:8.35),
-               desktop-file-utils,
                gtk-doc-tools (>= 1.20),
                libselinux1-dev [linux-any],
                linux-libc-dev [linux-any],
                libgamin-dev [!linux-any] | libfam-dev [!linux-any],
                zlib1g-dev,
-               dbus,
-               dbus-x11,
-               shared-mime-info,
-               xterm,
+               desktop-file-utils <!nocheck>,
+               dbus <!nocheck>,
+               shared-mime-info <!nocheck>,
+               tzdata <!nocheck>,
+               xterm <!nocheck>,
                python3:any (>= 2.7.5-5~),
-               python3-dbus,
-               python3-gi,
+               python3-dbus <!nocheck>,
+               python3-gi <!nocheck>,
                libxml2-utils,
+               xsltproc,
+               docbook-xml,
+               docbook-xsl,
                libffi-dev (>= 3.0.0)
 Standards-Version: 3.9.8
 Homepage: http://www.gtk.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/glib2.0/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/experimental/glib2.0/
+Vcs-Browser: https://salsa.debian.org/gnome-team/glib
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/stretch
 
 Package: libglib2.0-0
 Architecture: any
