=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,4 @@
 
 Tests: installed-tests
 Depends: libglib2.0-tests, dbus-x11, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing
+Restrictions: allow-stderr
